## xbmc 13.0~git20140504.0651~0d1d803

=== lib/UnrarXLib/Makefile ===
CXXFLAGS+=-DSILENT

SRCS=archive.cpp \
     arcread.cpp \
     cmddata.cpp \
     consio.cpp \
     crc.cpp \
     crypt.cpp \
     encname.cpp \
     errhnd.cpp \
     extinfo.cpp \
     extract.cpp \
     filcreat.cpp \
     file.cpp \
     filefn.cpp \
     filestr.cpp \
     find.cpp \
     getbits.cpp \
     global.cpp \
     int64.cpp \
     isnt.cpp \
     log.cpp \
     match.cpp \
     options.cpp \
     pathfn.cpp \
     rar.cpp \
     rarvm.cpp \
     rawread.cpp \
     rdwrfn.cpp \
     recvol.cpp \
     resource.cpp \
     rijndael.cpp \
     rs.cpp \
     savepos.cpp \
     scantree.cpp \
     sha1.cpp \
     strfn.cpp \
     strlist.cpp \
     system.cpp \
     timefn.cpp \
     ulinks.cpp \
     unicode.cpp \
     unpack.cpp \
     volume.cpp \

LIB=UnrarXLib.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== lib/afpfs-ng/Makefile ===
#  A quick and dirty Makefile to download/build and install
#
#  Usage:
#    make
#    sudo make install

# lib name, version
LIBNAME=afpfs-ng
VERSION=0.8.1
SOURCE=$(LIBNAME)-$(VERSION)

# download location and format
BASE_URL=http://mirrors.xbmc.org/build-deps/darwin-libs
ARCHIVE=$(SOURCE).tar.gz.
TARBALLS_LOCATION=.
RETRIEVE_TOOL=/usr/bin/curl
RETRIEVE_TOOL_FLAGS=-Ls --create-dirs --output $(TARBALLS_LOCATION)/$(ARCHIVE)
ARCHIVE_TOOL=tar
ARCHIVE_TOOL_FLAGS=xf
PREFIX ?= /usr/local
AFPFSNG_CONFIGOPTS ?= --prefix=$(PREFIX)


ARCHIVE=$(SOURCE).tar.bz2



# configuration settings
export PATH:=$(TOOLCHAIN)/bin:$(PATH)
CONFIGURE=./configure $(AFPFSNG_CONFIGOPTS) \
  --disable-fuse ac_cv_func_malloc_0_nonnull=yes

SO_NAME=$(SOURCE)/lib/.libs/libafpclient.so

all: $(SO_NAME)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	cd $(SOURCE); patch -p1 <../fix_afpfs-ng_includes.patch
	cd $(SOURCE); patch -p1 <../01-gcrypt.patch
	cd $(SOURCE); patch -p1 <../02-pointer.patch
	cd $(SOURCE); patch -p1 <../04-boxee1.patch
	cd $(SOURCE); patch -p1 <../05-boxee2.patch
	cd $(SOURCE); patch -p1 <../06-boxee3.patch
	cd $(SOURCE); patch -p1 <../07-boxee4.patch
	cd $(SOURCE); patch -p1 <../08-boxee5.patch
	cd $(SOURCE); patch -p1 <../10-fix-errno.patch
	cd $(SOURCE); patch -p1 <../11-fix-stat.patch
	cd $(SOURCE); patch -p1 <../12-fix-even-more-pointers.patch
	cd $(SOURCE); autoreconf -vif
	cd $(SOURCE); $(CONFIGURE)

$(SO_NAME): $(SOURCE)
	make -j 1 -C $(SOURCE)

install:
	make -C $(SOURCE) install

clean:
	make -C $(SOURCE) clean

distclean::
	rm -rf $(SOURCE) $(ARCHIVE)

=== lib/libcec/Makefile ===
#  Download and build libCEC
#
#  Usage:
#    make
#    sudo make install
#    make clean

# lib name, version
LIBNAME=libcec
VERSION=2.1.4
SOURCE=$(LIBNAME)-$(VERSION)-2

# download location and format
BASE_URL=http://mirrors.xbmc.org/build-deps/darwin-libs
ARCHIVE=$(SOURCE).tar.gz 
TARBALLS_LOCATION=.
RETRIEVE_TOOL=/usr/bin/curl
RETRIEVE_TOOL_FLAGS=-Ls --create-dirs --output $(TARBALLS_LOCATION)/$(ARCHIVE)
ARCHIVE_TOOL=tar
ARCHIVE_TOOL_FLAGS=xf

PREFIX ?= /usr/local
LIBCEC_CONFIGOPTS ?= --prefix=$(PREFIX)

# configuration settings
CONFIGURE=./configure CFLAGS=-D_FILE_OFFSET_BITS=64 $(LIBCEC_CONFIGOPTS)

SO_NAME=$(LIBNAME)/.libs/$(LIBNAME).so

all: $(SO_NAME)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(LIBNAME): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(LIBNAME)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(LIBNAME) > .gitignore
	cd $(SOURCE); autoreconf -vif
	cd $(SOURCE); $(CONFIGURE)

$(SO_NAME): $(LIBNAME)
	make -j 1 -C $(SOURCE)

install:
	make -C $(SOURCE) install
	ldconfig

clean:
	rm -rf $(SOURCE)

distclean::
	rm -rf $(SOURCE)

=== lib/libshairport/Makefile ===
#  A quick and dirty Makefile to download/build and install
#
#  Usage:
#    make
#    sudo make install

# lib name, version
LIBNAME=libshairport
VERSION=1.2.0.20310_lib
SOURCE=$(LIBNAME)-$(VERSION)

# download location and format
BASE_URL=http://mirrors.xbmc.org/build-deps/darwin-libs
ARCHIVE=$(SOURCE).tar.gz 
TARBALLS_LOCATION=.
RETRIEVE_TOOL=/usr/bin/curl
RETRIEVE_TOOL_FLAGS=-Ls --create-dirs --output $(TARBALLS_LOCATION)/$(ARCHIVE)
ARCHIVE_TOOL=tar
ARCHIVE_TOOL_FLAGS=xf

PREFIX ?= /usr/local
LIBSHAIRPORT_CONFIGOPTS ?= --prefix=$(PREFIX)

# configuration settings
CONFIGURE=./configure $(LIBSHAIRPORT_CONFIGOPTS)


SO_NAME=$(SOURCE)/.libs/$(LIBNAME).so

all: $(SO_NAME)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	cd $(SOURCE); patch -p0 < ../001_add_ao.patch
	cd $(SOURCE); patch -p0 < ../002_fix_install_header.patch
	cd $(SOURCE); patch -p0 < ../003_fix_deadlock.patch
	cd $(SOURCE); patch -p0 < ../004_fix_bad_access.patch
	cd $(SOURCE); patch -p0 < ../005_fix_shutdown.patch
	cd $(SOURCE); patch -p0 < ../006_no_printf.patch
	cd $(SOURCE); patch -p0 < ../007_fix_syslog_defines.patch
	cd $(SOURCE); patch -p0 < ../008-add-missing-libs.patch
	cd $(SOURCE); patch -p0 < ../009_fix_ipv6.patch
	cd $(SOURCE); patch -p0 < ../010_handle_metadata.patch
	cd $(SOURCE); patch -p0 < ../011_fix_ipv4_fallback.patch
	cd $(SOURCE); autoreconf -vif
	cd $(SOURCE); $(CONFIGURE)

$(SO_NAME): $(SOURCE)
	make -j 1 -C $(SOURCE)

install:
	make -C $(SOURCE) install
	ldconfig

clean:
	rm -rf $(SOURCE)
	#make -C $(SOURCE) clean

distclean::
	rm -rf $(SOURCE)

=== lib/xbmc-libav-hacks/Makefile ===
SRCS = swresample.c alloc_output_context2.c buffersink.c accessors.c graphparser.c

LIB = dll-libavhacks.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/addons/Makefile ===
SRCS=Addon.cpp \
     AddonCallbacks.cpp \
     AddonCallbacksAddon.cpp \
     AddonCallbacksCodec.cpp \
     AddonCallbacksGUI.cpp \
     AddonCallbacksPVR.cpp \
     AddonDatabase.cpp \
     AddonInstaller.cpp \
     AddonManager.cpp \
     AddonStatusHandler.cpp \
     AddonVersion.cpp \
     GUIDialogAddonInfo.cpp \
     GUIDialogAddonSettings.cpp \
     GUIViewStateAddonBrowser.cpp \
     GUIWindowAddonBrowser.cpp \
     PluginSource.cpp \
     Repository.cpp \
     Scraper.cpp \
     ScreenSaver.cpp \
     Service.cpp \
     Skin.cpp \
     Visualisation.cpp \

LIB=addons.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/commons/Makefile ===
SRCS= \
	Exception.cpp \
	ilog.cpp

LIB=commons.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(patsubst %.S,,$(SRCS))))

=== xbmc/music/Makefile ===
SRCS=Album.cpp \
     Artist.cpp \
     GUIViewStateMusic.cpp \
     MusicDatabase.cpp \
     MusicDbUrl.cpp \
     MusicInfoLoader.cpp \
     MusicThumbLoader.cpp \
     Song.cpp \
     
LIB=music.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/settings/Makefile ===
SRCS=AdvancedSettings.cpp \
     DisplaySettings.cpp \
     MediaSettings.cpp \
     MediaSourceSettings.cpp \
     SettingAddon.cpp \
     SettingControl.cpp \
     SettingPath.cpp \
     Settings.cpp \
     SkinSettings.cpp \
     VideoSettings.cpp \

LIB=settings.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== lib/asap/javascript/Makefile ===
PP = cpp -P -I..

COMMON_C = ../asap.c ../acpu.c ../apokeysnd.c
COMMON_H = ../asap.h ../asap_internal.h ../anylang.h ../players.h

all: asap2wav.js asapweb.js

include ../players/Makefile

asap2wav.js: asap2wav.ppjs asap.ppjs $(COMMON_C) $(COMMON_H)
	$(PP) $< > $@

asapweb.js: asapweb.ppjs asap.ppjs $(COMMON_C) $(COMMON_H)
	$(PP) $< > $@

clean:
	rm -f asap2wav.js asapweb.js

.DELETE_ON_ERROR:

=== lib/cmyth/librefmem/Makefile ===
INCLUDES=-I. -I../include -I../libcmyth

SRCS=alloc.c debug_refmem.c

LIB=librefmem.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== lib/cximage-6.0/jasper/Makefile ===
CFLAGS=-fPIC
ifeq ($(findstring osx,$(ARCH)), osx)
	CFLAGS+=-fno-common
endif
INCLUDES+=-Iinclude
LIB=jasper.a

OBJS=bmp/bmp_cod.o bmp/bmp_dec.o bmp/bmp_enc.o base/jas_cm.o base/jas_debug.o base/jas_getopt.o base/jas_icc.o base/jas_iccdata.o base/jas_image.o base/jas_init.o base/jas_malloc.o base/jas_seq.o base/jas_stream.o base/jas_string.o base/jas_tvp.o base/jas_version.o jp2/jp2_cod.o jp2/jp2_dec.o jp2/jp2_enc.o jpc/jpc_bs.o jpc/jpc_cs.o jpc/jpc_dec.o jpc/jpc_enc.o jpc/jpc_math.o jpc/jpc_mct.o jpc/jpc_mqcod.o jpc/jpc_mqdec.o jpc/jpc_mqenc.o jpc/jpc_qmfb.o jpc/jpc_t1cod.o jpc/jpc_t1dec.o jpc/jpc_t1enc.o jpc/jpc_t2cod.o jpc/jpc_t2dec.o jpc/jpc_t2enc.o jpc/jpc_tagtree.o jpc/jpc_tsfb.o jpc/jpc_util.o jpg/jpg_dummy.o jpg/jpg_val.o mif/mif_cod.o pgx/pgx_cod.o pgx/pgx_dec.o pgx/pgx_enc.o pnm/pnm_cod.o pnm/pnm_dec.o pnm/pnm_enc.o ras/ras_cod.o ras/ras_dec.o ras/ras_enc.o

include ../../../Makefile.include

=== debian/changelog ===
xbmc (2:13.0~git20140504.0651~0d1d803) unstable; urgency=low

  [ xbmc ]
  * autogenerated dummy changelog

 -- wsnipex <wsnipex@xbmc.org>  Sun, 12 May 2013 09:41:54 +0100

=== debian/control ===
Source: xbmc
Section: video
Priority: optional
Maintainer: wsnipex <wsnipex@xbmc.org>
Build-Depends: debhelper (>= 7.0.50~),
 autoconf,
 automake,
 autopoint | gettext,
 autotools-dev,
 cmake,
 curl,
 cvs,
 default-jre | openjdk-6-jre | openjdk-7-jre,
 fpc,
 gawk,
 gdc,
 gperf,
 libafpclient-dev,
 libasound2-dev | libasound-dev,
 libass-dev (>= 0.9.8),
 libavahi-client-dev,
 libavahi-common-dev,
 libbluetooth-dev,
 libbluray-dev,
 libboost-dev,
 libboost-thread-dev,
 libbz2-dev,
 libcdio-dev,
 libcec2 (>= 2.1),
 libcec-dev (>= 2.1),
 libcrystalhd-dev,
 libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl-dev,
 libcwiid-dev,
 libdbus-1-dev,
 libenca-dev,
 libflac-dev,
 libfontconfig-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgles2-mesa-dev [armel] | libgl1-mesa-dev | libgl-dev,
 libglew-dev,
 libglu1-mesa-dev | libglu-dev,
 libgnutls-dev,
 libiso9660-dev,
 libjasper-dev,
 libjpeg-dev,
 libltdl-dev,
 liblzo2-dev,
 libmad0-dev,
 libmicrohttpd-dev,
 libmodplug-dev,
 libmp3lame-dev,
 libmpeg2-4-dev,
 libmysqlclient-dev,
 libnfs-dev,
 libogg-dev,
 libomxil-bellagio-dev [armel],
 libpcre3-dev,
 libplist-dev,
 libpng12-dev | libpng-dev,
 libpostproc-dev,
 libpulse-dev,
 librtmp-dev,
 libsamplerate-dev,
 libsdl-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libshairplay-dev,
 libsmbclient-dev,
 libsqlite3-dev,
 libssh-dev,
 libssl-dev,
 libtag1x8 | libtag1-dev (>= 1.8),
 libtiff5-dev | libtiff-dev | libtiff4-dev,
 libtinyxml-dev,
 libtool,
 libudev-dev,
 libva-dev,
 libvdpau-dev,
 libvorbis-dev,
 libxmu-dev,
 libxrandr-dev,
 libxslt1-dev | libxslt-dev,
 libxt-dev,
 libyajl-dev,
 lsb-release,
 nasm [!amd64],
 python-dev,
 python-imaging,
 python-support,
 swig,
 unzip,
 yasm,
 zip,
 zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://xbmc.org/
Vcs-Git: git://github.com/xbmc/xbmc-packaging.git
Vcs-Browser: https://github.com/xbmc/xbmc-packaging

Package: xbmc
Architecture: all
Depends: xbmc-bin (>= ${source:Version}),
         xbmc-bin (<< ${source:Version}.1~),
         curl,
         mesa-utils,
         x11-utils,
         ttf-liberation | fonts-liberation,
         ttf-dejavu-core,
         python-bluez | python-lightblue,
         python-imaging,
         python-simplejson,
         libmad0,
         libass4,
         libssh-4 | libssh2-1,
         libnfs1,
         libbluray1,
         libshairport1,
         libshairplay0,
         libmp3lame0,
         libvorbisfile3,
         libaacs0,
         libflac8,
         libcec2 (>= 2.1.1),
         librtmp0,
         libgnutls26 | libgnutls28,
         libxslt1.1,
         ${python:Depends},
         ${misc:Depends}
Recommends: libvdpau1,
         libva-intel-vaapi-driver,
         libva1
Suggests: xbmc-test-helper,
         xbmc-pvr-mythtv-cmyth,
         xbmc-pvr-vuplus,
         xbmc-pvr-vdr-vnsi,
         xbmc-pvr-njoy,
         xbmc-pvr-nextpvr,
         xbmc-pvr-mediaportal-tvserver,
         xbmc-pvr-tvheadend-hts,
         xbmc-pvr-dvbviewer,
         xbmc-pvr-argustv,
         xbmc-pvr-iptvsimple
Provides: xbmc-standalone, xbmc-data, xbmc-skin-confluence
Replaces: xbmc-standalone, xbmc-data, xbmc-skin-confluence
Breaks: xbmc-standalone (<< 2:11.0~git20111222.22ad8e4),
        xbmc-data (<< 2:11.0~git20111222.22ad8e4),
        xbmc-skin-confluence (<< 2:11.0~git20111222.22ad8e4)
Description: XBMC Media Center (arch-independent data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working XBMC.

Package: xbmc-bin
Architecture: i386 amd64 armhf
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Provides: xbmc-common
Replaces: xbmc-common
Conflicts: xbmc-common
Description: XBMC Media Center (binary data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working XBMC.

Package: xbmc-eventclients-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: XBMC Media Center (Event Client Common package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for XBMC Event Client.

Package: xbmc-eventclients-dev
Architecture: all
Section: libdevel
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: XBMC Media Center (Event Client Dev package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for XBMC Event Client.

Package: xbmc-eventclients-wiiremote
Architecture: i386 amd64 armhf
Depends: xbmc-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client WII Remote support package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for XBMC.

Package: xbmc-eventclients-j2me
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${python:Depends},
         python-bluez | python-lightblue,
         ${misc:Depends}
Description: XBMC Media Center (Event Client J2ME package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the J2ME package for XBMC Event Client. This is meant to
 provide a server that communicate with a mobile tool supporting Java ME.

Package: xbmc-eventclients-ps3
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         python-bluez | python-lightblue,
         ${python:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client PS3 package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Set this variable to yes for release builds to disable debugging and enable
# optimizations.
XBMC_RELEASE = yes

# Whether we're building for release or not
ifeq (yes,$(XBMC_RELEASE))
  DEBUG_OPTIONS = --disable-debug --enable-optimizations
else
  DEBUG_OPTIONS = --enable-debug --disable-optimizations
endif

# Enable gles for armel
ifeq (,$(filter armel,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --enable-gl --disable-gles
else
GL_CONFIG_OPTIONS = --disable-gl --enable-gles
endif

# Various environment variables to set
ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)"

# List of options to pass to configure. Can be overridden.
# Extra options can simply be passed using XBMC_CONFIG_EXTRA_OPTIONS env
# variable.
XBMC_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
  --build=$(DEB_BUILD_GNU_TYPE) \
  --prefix=/usr --docdir=/usr/share/doc/xbmc \
  $(DEBUG_OPTIONS) \
  $(GL_CONFIG_OPTIONS) \
  --enable-vdpau \
  --enable-vaapi \
  --enable-crystalhd \
  --disable-vdadecoder \
  --disable-vtbdecoder \
  --disable-openmax \
  --disable-tegra \
  --disable-profiling \
  --enable-joystick \
  --enable-xrandr \
  --disable-ccache \
  --enable-pulse \
  --enable-rtmp \
  --enable-ffmpeg-libvorbis \
  --disable-mid \
  --enable-hal \
  --enable-avahi \
  --disable-asap-codec \
  --enable-webserver \
  --enable-optical-drive \
  --enable-texturepacker \
  --enable-nfs \
  --enable-libcec \
  --enable-afpclient \
  --enable-airtunes \
  --enable-libbluray \
  $(DISTRO_SPECIFIC_OPTIONS) \
  $(XBMC_CONFIG_EXTRA_OPTIONS) \
  $(ENV_OPTIONS)

# Input files used for generating other files
INPUT_FILES = debian/control.in

%:
	dh $@ --parallel
#
# Target for generating control files
.PHONY: debian/var_info
%.in: debian/var_info
	@echo "Generating $$(echo $@ | sed 's/\.in$$//') from $@"
	perl -p \
	-e 's{#BUILD_DEPENDS#}{qx(sh debian/var_info BUILD_DEPENDS)}ge;' \
	< $@ > $$(echo $@ | sed 's/\.in$$//')

override_dh_clean:
	dh_clean
	find . -name config.status -o -name config.cache -o -name config.log \
		-exec rm -f "{}" \;
	debian/rules $(INPUT_FILES)

override_dh_auto_configure: 
	./bootstrap
	./configure $(XBMC_CONFIG_OPTIONS)

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
		WII_EXTRA_OPTS=-DCWIID_OLD

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/tmp -XLICENCE \
		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf
	# Delete license file from package
	rm -f debian/xbmc/usr/share/xbmc/addons/script.recentlyadded/LICENSE.txt

override_dh_makeshlibs:
	# We don't install shared libraries in standard locations so don't run
	# dh_makeshlibs

override_dh_auto_test:
	# Do not run unittests, as they fail

override_dh_shlibdeps: debian/tmp/xbmc-bin-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/xbmc-bin/usr/lib/xbmc/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars

debian/tmp/xbmc-bin-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lrtmp \
